V3 Loan Pipeline for Reports

Provides a basis for generating reports from an Encompass loan pipeline that can be accessed through a cursor for reliable paginated data based on a snapshot of a loan pipeline.

This API added with the 24.3 release of Encompass.

This API is for loan pipeline report generation. The first call is made without cursor id, which generates a new cursor with the provided filter criteria. The generated cursor id is returned in the response header 'X-Cursor'. The subsequent calls are made with the cursorId provided in the query parameters along with start / limit for pagination.

The filter criteria is cached on the server side and does not need to be passed in when the call is made with cursor id. The cursor expires after 5 minutes of inactivity.

📘

This endpoint is only for report generation. For all real time pipeline results, loan pipeline end point (~/v3/loanPipeline/) should be used.

Usage Notes

  • A maximum of 10 cursors are allowed per instance. Creation of the 11th cursor will result in the removal of the oldest cursor that is marked for expiration.
  • The cursor expires after 5 minutes of inactivity. However, with continuous use, you can keep the cursor alive up to a maximum of 1 hour.
Query Params
boolean

Indicates if invalid fields provided in the fields collection should be ignored. If set to false, the API will return validation error in case it encounters invalid fields in the fields collection.

integer

0 based index of the starting record number on the page.

integer

Page size limit.

string

Cursor ID that was generated after the first call.

Body Params

The following attributes make up the LoanPipelineQueryBaseContract object.

fields
array of strings

List of fields to return.

fields
sortOrder
array of objects

List of fields with more details like sort order as described by the LoanPipelineFieldContract.

sortOrder
filter
object

Criteria to filter loans as described by the QueryCriterionContract.

string
Defaults to Internal

Organization type to filter on. Possible values are Internal and TPO. The default is Internal.

tpoId
object

External organization identifier as described in the EntityReferenceContract, if the request is to retrieve TPO loans.

string
Defaults to AllLoans

Loan Ownership. Possible values are AllLoans and MyLoans. The default is AllLoans.

loanFolders
array of strings

A list of folder names that a user can pass in the request body to perform a search within the specified folders.

loanFolders
boolean

Use to indicate if the query should include archived loans.

Headers
string
required

Bearer token

Responses

400

Bad Request

403

Forbidden

404

Not Found

409

Conflict

Language
URL
LoadingLoading…
Response
Choose an example:
application/json